Subject: Re: [XCON] Common-data-model -- video-layout

From: "Oscar Novo" <[email-masked]>
Date: Wed, 7 Jan 2009 12:15:20 +0100

Hi Krishna,

Lorenzo is completely right. I'm sorry if I didn't answer to that
question I was on holidays. 
Thanks Lorenzo to take care of that!

Oscar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Lorenzo Miniero
Sent: 24. marraskuuta 2008 13:56
To: Krishna Prasad Kalluri
Cc: [email-masked]
Subject: Re: [XCON] Common-data-model -- video-layout

Hi Krishna,

you can define a video layout per video stream, which is different than
per conference. In fact, you can have more mixes in the same conference.
You can have more <entry> elements in <available-media>, each of whom
may have a different <video-layout> if it's a video stream. Which
participant should be attached to which stream can be defined in the
data model as well.

Lorenzo

Quoting Krishna Prasad Kalluri <[email-masked]>:

> Hi Lorenzo,
>
> How do define a layout per video stream? As I understood its possible 
> to define a video layout per mix (conference)
>
> Regards
> Krishna
>
> -----Original Message-----
> From: Lorenzo Miniero [mailto:[email-masked]]
> Sent: den 24 november 2008 12:07
> To: Krishna Prasad Kalluri
> Cc: [email-masked]
> Subject: Re: [XCON] Common-data-model -- video-layout
>
> Hi Krishna,
>
> you can still achieve what you want, by defining more video output 
> streams with different layouts, and attaching participants to them 
> according to your needs (e.g. a lightweight stream for all mobile 
> users, and a heavier stream for others). It's not as straightforward 
> as having a custom layout for each user, but it's compliant, for 
> instance, with how videomixing is currently handled in the MEDIACTRL
mixer package.
>
> Lorenzo
>
>
> Quoting Krishna Prasad Kalluri <[email-masked]>:
>
>> Hi,
>>
>> I have a question related to the video-layout element in XCON common 
>> data model.
>>
>> Question 1:
>>
>> The video-layout element is defined in the conference description
> level.
>> So one video conference will have only one layout. That means
>>
>> 1) From the conference mixer point of view its only one output mix.
>> 2) All participants view the same layout.
>>
>> Is my understanding correct? If so the video-layout description in 
>> common-data-model is giving a different impression. From the text 
>> below I got an impression that each participant can have different
> layout.
>>
>> The <video-layout> element is used in conjunction with a video stream

>> to specify how the video streams (of participants) are viewed by each

>> participant.  Only one layout type can be specified for each output 
>> stream
>>
>> Question 2:
>>
>> In the data model is it possible to include video-layout per 
>> participant. May be its correct to say per endpoint. If the display 
>> of
>
>> endpoint is small (mobile phone) a participant can select a smaller 
>> layout (Eg: dual-view) . If the endpoint display is large (pc) a 
>> participant can select a bigger layout. Of course this causes more 
>> processing in the mixer to generate several output mixes.
>>
>> In H.248.19 it is possible to specify one layout type per
termination.
>>
>> So in the data model I like to propose to add
>>
>> Users->user->endpoint->controls->video-layout
>>
>> Any way the summary is I like to see layout per participant 
>> (endpoint)
>>
>> Regards
>> Krishna
>>
>>
>
>
>
> --
> Lorenzo Miniero, Junior Researcher
> Dipartimento di Informatica e Sistemistica Universita' degli Studi di 
> Napoli "Federico II"
> Via Claudio 21 -- 80125 Napoli (Italy)
> Phone: +390817683821 - Fax: +390817683816
> Email: [email-masked]
>

--
Lorenzo Miniero, Junior Researcher
Dipartimento di Informatica e Sistemistica Universita' degli Studi di
Napoli "Federico II"
Via Claudio 21 -- 80125 Napoli (Italy)
Phone: +390817683821 - Fax: +390817683816
Email: [email-masked]
_______________________________________________
XCON mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xcon
_______________________________________________
XCON mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xcon